package cn.wisenergy.chnmuseum.party.service.impl;

import cn.wisenergy.chnmuseum.party.mapper.AssetMapper;
import cn.wisenergy.chnmuseum.party.model.Asset;
import cn.wisenergy.chnmuseum.party.model.TBoxOperation;
import cn.wisenergy.chnmuseum.party.service.AssetService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 视频 服务实现类
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-16
 */
@Service
public class AssetServiceImpl extends ServiceImpl<AssetMapper, Asset> implements AssetService {

    @Resource
    private AssetMapper assetMapper;

    @Override
    public Page<Asset> pageByConditions(Page<Object> page, String videoContentCatId, String videoContentCopyrightOwnerId) {
        return assetMapper.selectPageByConditions(page, videoContentCatId, videoContentCopyrightOwnerId);
    }

    @Override
    public List<TBoxOperation> listBoxByOrgan() {
        return assetMapper.selectBoxListByOrgan();
    }

}
